[Solved] php.ini not loaded?

Discussion in 'Install/Configuration' started by thelunny, Feb 10, 2012.

  1. thelunny

    thelunny New Member

    After I build the latest version of PHP 5, my phpinfo() shows "Loaded Configuration File" as (none).

    The "Configuration File (php.ini) Path" is displayed as /usr/local/lsws/lsphp5/lib but I could not find any php.ini there.

    Is this normal?

    How can I test if php has been built properly?

    --

    The following is my configure command:

    './configure' '--prefix=/usr/local/lsws/lsphp5' '--with-litespeed' '--with-libdir=lib' '--disable-debug' '--with-pic' '--disable-rpath' '--with-pear' '--with-bz2' '--with-exec-dir' '--with-freetype-dir' '--with-png-dir' '--with-xpm-dir' '--enable-gd-native-ttf' '--without-gdbm' '--with-t1lib' '--with-gettext' '--with-gmp' '--with-iconv' '--with-jpeg-dir' '--with-openssl' '--with-pcre-regex' '--with-zlib' '--with-layout' '--enable-exif' '--enable-ftp' '--enable-magic-quotes' '--enable-sockets' '--enable-sysvsem' '--enable-sysvshm' '--enable-sysvmsg' '--with-kerberos' '--enable-ucd-snmp-hack' '--enable-shmop' '--enable-calendar' '--without-mime-magic' '--without-sqlite' '--with-libxml-dir' '--enable-xml' '--with-system-tzdata' '--enable-force-cgi-redirect' '--enable-pcntl' '--with-imap' '--with-imap-ssl' '--enable-mbstring' '--enable-mbregex' '--with-ncurses' '--with-gd' '--enable-bcmath' '--enable-dba' '--with-db4' '--with-xmlrpc' '--with-ldap' '--with-ldap-sasl' '--with-mysql' '--with-mysqli' '--enable-dom' '--with-pgsql' '--enable-wddx' '--with-snmp' '--enable-soap' '--with-xsl' '--enable-xmlreader' '--enable-xmlwriter' '--with-curl' '--enable-pdo' '--with-pdo-odbc=unixODBC,/usr' '--with-pdo-mysql' '--with-pdo-pgsql' '--with-pdo-sqlite' '--with-pdo-dblib' '--enable-json' '--enable-zip' '--with-readline' '--with-ssh2' '--enable-dbase' '--with-pspell' '--with-mcrypt' '--with-mhash' '--with-tidy' '--with-mssql' '--enable-sysvmsg' '--enable-sysvshm' '--enable-sysvsem' '--enable-posix' '--enable-suhosin'
  2. thelunny

    thelunny New Member

    Solved by copying the php.ini file from /usr/local/lsws/php to /usr/local/lsws/lsphp5/lib

Share This Page